> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zadan-api-geopard/82.-zapytanie-przywroc-zdarzenia-subskrypcji.md).

# 82. Zapytanie: Przywróć zdarzenia subskrypcji

Zawsze dobrą praktyką jest możliwość przywrócenia/ponownego sprawdzenia dostarczonych vs wygenerowanych zdarzeń subskrypcyjnych. Dlatego GeoPard przechowuje historię wszystkich wygenerowanych zdarzeń subskrypcyjnych przez **ostatnie 12 miesięcy**.&#x20;

Typowe przypadki:&#x20;

* Zły dostęp do internetu i zdarzenia nie zostały dostarczone
* Ponowne wdrożenie nasłuchiwacza WebSocket
* Sprawdź zgodność otrzymanych vs wygenerowanych zdarzeń

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        uuidUżytkownika
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Obsługiwane filtry wejściowe:

* `dateFrom` jako datetime w formacie ISO 8701 (np.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` jako datetime w formacie ISO 8701 (np.: `"2023-05-30T06:35:00.000Z"`)
* `uuidGospodarstw` jako tablica UUID-ów „Farm” do wyszukania
* `fieldUuids` jako tablica UUID-ów „Field” do wyszukania&#x20;
* `userUuids` jako tablica UUID użytkowników ("User"), po których ma być wyszukiwanie
* `eventUuids` jako tablica UUID-ów subskrypcyjnych „Event”

{% hint style="info" %}
Wszystkie filtry działają jak logiczne **ORAZ**.
{% endhint %}

{% hint style="info" %}
Każde zdarzenie subskrypcji ma atrybut `executionDate` powiązany z momentem wysłania w formacie AWSDateTime zgodnym z ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zadan-api-geopard/82.-zapytanie-przywroc-zdarzenia-subskrypcji.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
